<?php

namespace app\admin\controller;

use app\admin\logic\VideoGroupLogic;
use app\BaseController;

//【视频分组】
class VideoGroup extends BaseController
{
    //获取视频分组列表
    public function list()
    {
        $param = $this->request->only(['page' => 1, 'size' => 10, 'status' => '', 'company_id' => '', 'card_id' => ''], 'post');

        return VideoGroupLogic::list($param);
    }

    //添加视频分组
    public function add()
    {
        return VideoGroupLogic::add();
    }

    //获取视频分组详情
    public function read()
    {
        return VideoGroupLogic::read();
    }

    //编辑视频分组
    public function edit()
    {
        return VideoGroupLogic::edit();
    }

    //视频分组启禁用
    public function status()
    {
        return VideoGroupLogic::status();
    }

    //删除视频分组
    public function delete()
    {
        return VideoGroupLogic::delete();
    }

}